body {
  margin: 0;
  font-family: 'Arial', sans-serif;
  background: #fff;
  color: #000;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.circle-header {
  position: relative;
  width: 100%;
  height: 250px;
  background: #000;
      clip-path: ellipse(80% 100% at 70% 0%);
  -webkit-clip-path: ellipse(80% 100% at 70% 0%);
  animation: ajustarElipse 0.8s cubic-bezier(0.22,0.61,0.36,1) forwards;
  will-change: clip-path;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding-top: 10px;
  color: white;
}

.logo {
  width: 180px;
  margin-bottom: 1px;
  padding-bottom: 1px;
  z-index: 1;
}

.welcome-text {
  text-align: right;
  width: 95%;
  max-width: 400px;
  margin-right: 20px; /* Ajusta según se vea mejor */
  padding-top: 1px;
  z-index: 1;
}

.welcome-text h2 {
  font-size: 1.3em;
  margin: 5px 0;
  color: white;
}

.welcome-text p {
  font-size: 0.9em;
  color: #ccc;
  margin: 0;
}




.circle-header img {
  max-width: 150px;
}

.login-box {
  width: 90%;
  max-width: 400px;
  padding: 20px;
  text-align: center;
}

.login-box h2 {
  font-weight: bold;
}

.login-box p {
  color: #555;
  font-size: 0.9em;
  margin-bottom: 20px;
}

.input-group {
  display: flex;
  align-items: center;
  border: 1px solid #000;
  border-radius: 8px;
  padding: 10px;
  margin-bottom: 10px;
}

.input-group .flag {
  margin-right: 10px;
  font-size: 1.2em;
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="tel"] {
  width: 100%;
  padding: 12px 16px;
  font-size: 16px;
  border-radius: 8px;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

.iti {
  width: 100%;
}


button {
  width: 100%;
  padding: 12px;
  background: #ffc403de;
  color: black;
  border: none;
  border-radius: 8px;
  font-size: 1em;
  cursor: pointer;
}

a {
  display: inline-block;
  margin-top: 15px;
  color: #000;
  text-decoration: underline;
  font-size: 0.9em;
}

/*
.circle-header {
  transform: translateY(-150px);
  opacity: 0;
  visibility: hidden; 
}


.circle-header.animar-entrada {
  animation: slideIn 0.6s ease forwards;
}


.circle-header.salida {
  animation: slideOut 0.5s ease forwards !important;
}

@keyframes slideIn {
  from {
    transform: translateX(-150px);
    opacity: 0;
    visibility: visible;
  }
  to {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
  }
}

@keyframes slideOut {
  from {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
  }
  to {
    transform: translateX(-150px);
    opacity: 0;
    visibility: hidden;
  }
}*/

@keyframes ajustarElipse {
  from {
    clip-path: ellipse(80% 100% at 30% 0%);
    -webkit-clip-path: ellipse(80% 100% at 30% 0%);
  }
  to {
    clip-path: ellipse(80% 100% at 70% 0%);
    -webkit-clip-path: ellipse(80% 100% at 70% 0%);
  }
}

/* Footer al fondo */
.footer-creditos {
      position: fixed;
  bottom: 20px;
  text-align: center;
  padding: 10px;
  font-size: 12px;
  color: #999;
  background-color: #f9f9f9;
  width: 100%;
}

.footer-creditos a {
  color: #000;
  text-decoration: none;
}
